Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.annotation
Class LifeCycleCallback

    java.lang.Object
      org.mortbay.jetty.plus.annotation.LifeCycleCallback

Direct Known Subclasses:
  PostConstructCallback, PreDestroyCallback

    public abstract class LifeCycleCallback

extends java.lang.Object

LifeCycleCallback

Field Summary
`static java.lang.Object[]` | `__EMPTY_ARGS`

Constructor Summary
`LifeCycleCallback()`

Method Summary
`void` | `callback(java.lang.Object instance)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.reflect.Method` | `findMethod(java.lang.Package pack, java.lang.Class clazz, java.lang.String methodName, boolean checkInheritance)` Find a method of the given name either directly in the given class, or inherited.
`java.lang.reflect.Method` | `getTarget()`
`java.lang.Class` | `getTargetClass()`
`void` | `setTarget(java.lang.Class clazz, java.lang.String methodName)`
`void` | `setTarget(java.lang.reflect.Method target)`
`void` | `setTargetClass(java.lang.Class clazz)`
`abstract void` | `validate(java.lang.Class clazz, java.lang.reflect.Method m)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __EMPTY_ARGS

    public static final java.lang.Object[] __EMPTY_ARGS

Constructor Detail

### LifeCycleCallback

    public LifeCycleCallback()

Method Detail

### getTargetClass

    public java.lang.Class getTargetClass()

  Returns:
    the _targetClass

### setTargetClass

    public void setTargetClass(java.lang.Class clazz)

  Parameters:
    `name` - the class to set

### getTarget

    public java.lang.reflect.Method getTarget()

  Returns:
    the target

### setTarget

    public void setTarget(java.lang.reflect.Method target)

  Parameters:
    `target` - the target to set

### setTarget

    public void setTarget(java.lang.Class clazz,
                          java.lang.String methodName)

### callback

    public void callback(java.lang.Object instance)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findMethod

    public java.lang.reflect.Method findMethod(java.lang.Package pack,
                                               java.lang.Class clazz,
                                               java.lang.String methodName,
                                               boolean checkInheritance)

  Find a method of the given name either directly in the given class, or inherited.

  Parameters:
    `pack` - the package of the class under inspection
    `clazz` - the class under inspection
    `methodName` - the method to find
    `checkInheritance` - false on first entry, true if a superclass is being introspected
  Returns:

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### validate

    public abstract void validate(java.lang.Class clazz,
                                  java.lang.reflect.Method m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.